Bug 1129252 - rhn-channel does not work against Satellite 5.3.0: Invalid username and password combination.
Summary: rhn-channel does not work against Satellite 5.3.0: Invalid username and passw...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools
Version: 5.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 12:00 UTC by Jan Hutař
Modified: 2017-04-18 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-18 22:05:46 UTC


Attachments (Terms of Use)

Description Jan Hutař 2014-08-12 12:00:20 UTC
Description of problem:
rhn-channel does not work against Satellite 5.3.0. Error message says "Invalid username and password combination." although these two are correct.


Version-Release number of selected component (if applicable):
Client: rhn-client-tools-0.4.20.1-9.el5
Server: satellite-schema-5.3.0.23-1.el5sat, spacewalk-java-0.5.44-41.el5sat


How reproducible:
always


Steps to Reproduce:
1. Make sure you have both base and rhn tools channel
2. # rhn-channel -u <user> -p <pass> -c rhn-tools-rhel-x86_64-server-5 -r


Actual results:
# rhn-channel -u <user> -p <pass> -c rhn-tools-rhel-x86_64-server-5 -r
.
Error Class Code: 2
Error Class Info: Invalid username and password combination.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Expected results:
Channel should be removed.


Additional info:
When registered to Satellite 5.6.0 it works as expected:

# yum repolist
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
rhn-tools-rhel-x86_64-server-5                                                                                                        | 1.1 kB     00:00     
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Mon Aug 11 05:24:21 2014
  Downloaded: Tue Jul 22 08:00:11 2014
repo id                          repo name                                                   status
[...]
rhel-x86_64-server-5             Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)           0
rhn-tools-rhel-x86_64-server-5   Red Hat Network Tools for RHEL Server (v.5 64-bit x86_64)   564
repolist: 22,118
# rhn-channel -u <user> -p <pass> -c rhn-tools-rhel-x86_64-server-5 -r
# yum repolist
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
repo id                repo name                                           status
[...]
rhel-x86_64-server-5   Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)   0
repolist: 21,554

Comment 3 Jan Hutař 2014-08-12 12:14:16 UTC
When I alter rhn-channel code so it prints traceback, I get:

Traceback (most recent call last):
  File "/usr/sbin/rhn-channel", line 115, in ?
    main()
  File "/usr/sbin/rhn-channel", line 93, in main
    result = unsubscribeChannels(OPTIONS.channel, OPTIONS.user, OPTIONS.password)
  File "/usr/share/rhn/up2date_client/rhnChannel.py", line 149, in unsubscribeChannels
    username, passwd)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 52, in __call__
    raise self.__exception_from_fault(f)
up2date_client.up2dateErrors.AuthenticationOrAccountCreationError: 
Error Class Code: 2
Error Class Info: Invalid username and password combination.
Explanation: 
     [...]

Comment 4 Alexander Todorov 2016-12-26 14:19:26 UTC
Jan,
I think I'm seeing a similar (or the same) issue lately. Do you have a proposed workaround (maybe to upgrade rhn-tools ? ). I'm trying to register a 6.6 system to RHN live and it fails with the same traceback when syncing the package list although username/password seem to be correct.

Comment 5 Jan Hutař 2017-01-06 08:50:57 UTC
Hello Alex. Yes, upgrading rhn-setup package should help.

Comment 6 Chris Williams 2017-04-18 22:05:46 UTC
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exited Production Phase 3 and entered Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  For more details please consult the Red Hat Enterprise Linux Life Cycle Page:
https://access.redhat.com/support/policy/updates/errata

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.


Note You need to log in before you can comment on or make changes to this bug.